import re

input = open("messageGPS.txt").read().splitlines()

for pos in input:
    x,y = pos.split()
    x_num = re.sub("[^0-9]", "", x)
    y_num = re.sub("[^0-9]", "", y)
    x_sum = sum([int(i) for i in x_num])
    y_sum = sum([int(i) for i in y_num])
    if x_sum%13==0 and y_sum%13==0:
        print("https://www.google.com/maps/search/?api=1&query={},{}".format(x,y))
